Subject: [pcp] Section 6 of draft-ietf-pcp-dhcp-00

From: <[email-masked]>
Date: Mon, 21 Nov 2011 10:25:43 +0100

Dear all, 

We received the following comment from B. Volz about http://tools.ietf.org/html/draft-ietf-pcp-dhcp-00#section-6:

"
6.  IPv4 DHCP PCP Option

6.1.  Format
...
   Because of the depletion of IPv4 DHCP option codes and in order to
   anticipate future PCP-related IPv4 DHCP options, the proposed option
   uses a sub-option field.

BV> So I see why DHCPv4 version uses suboptions ... but do you have
other needs? Is this a realistic issue? "
"

An example of future sub-options I have in mind is what is described in http://tools.ietf.org/html/draft-bpw-pcp-dhcp-00#section-4.3:

   This sub-option is used to indicate to a host, the time to wait
   before issuing a PCP message.  The purpose of this option is to
   prevent overload phenomena.  This sub-option SHOULD be used only with
   a non-null TimeWait value.

If the WG thinks this is not a valid use case, then I don't have an objection to remove sub-option fields and define one single IPv4 DHCP option.

Thoughts?

Cheers,
Med